Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.jndi
Class JNDIManager

    java.lang.Object
      org.jasig.portal.jndi.JNDIManager

    public class JNDIManager

extends java.lang.Object

JNDIManager. uPortal's JNDI tree has the following basic structure: `root context | +--services--*[service name]*... | +--users--*[userID]* | | | +--layouts--*[layoutId]* + | | sessions | +--channel-ids | | | | *[sessionId]* | | +--*[fname]*--[chanId] | | | +--sessions--*[sessionId]* | | +--sessions--*[sessionId]* | +--channel-obj--*[chanId]*... | +--[layoutId]` Notation: [something] referes to a value of something *[something]* refers to a set of values ... refers to a subcontext

Version:
  $Revision: 1.32.4.3 $
Author:
  Bernie Durfee, bdurfee@interactivebusiness.com, Peter Kharchenko, pkharchenko@interactivebusiness.com

Nested Class Summary
`private static class` | `JNDIManager.JNDISessionListener` This class will be bound to the user's session when they log in.

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`JNDIManager()` Empty constructor.

Method Summary
`private static javax.naming.Context` | `getContext()` Get the uPortal JNDI context
`static void` | `initializePortalContext()` Initializes root context node
`static void` | `initializeSessionContext(javax.servlet.http.HttpSession session, java.lang.String userId, java.lang.String layoutId, org.w3c.dom.Document userLayout)` Create and populate contexts for a new user sesions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### JNDIManager

    public JNDIManager()

  Empty constructor.

Method Detail

### initializePortalContext

    public static void initializePortalContext()
                                        throws PortalException

  Initializes root context node

  Throws:
    `PortalException`

### initializeSessionContext

    public static void initializeSessionContext(javax.servlet.http.HttpSession session,
                                                java.lang.String userId,
                                                java.lang.String layoutId,
                                                org.w3c.dom.Document userLayout)
                                         throws PortalException

  Create and populate contexts for a new user sesions

  Parameters:
    `session` -
    `userId` -
    `layoutId` -
    `userLayout` -
  Throws:
    `PortalException`

### getContext

    private static javax.naming.Context getContext()
                                            throws javax.naming.NamingException

  Get the uPortal JNDI context

  Returns:
    uPortal JNDI context
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD